Author Topic: yum update conflict  (Read 342 times)

0 Members and 1 Guest are viewing this topic.

Offline
**
yum update conflict
« on: March 26, 2020, 08:43:25 AM »
Hello,
Yesterday I did update from panel and noticed today mail with notification that update is can be done again. Went to check what is it and saw same packages waiting to be updated. Doing again update on panel noticed that is not finishing.

Went do it manual through ssh and saw packace conflict errors alot of them for python...

Code: [Select]
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: linux.darkpenguin.net
 * epel: mirrors.n-ix.net
 * extras: mirror.checkdomain.de
 * updates: mirror.alpix.eu
Resolving Dependencies
--> Running transaction check
---> Package binutils.x86_64 0:2.27-41.base.el7_7.2 will be updated
---> Package binutils.x86_64 0:2.27-41.base.el7_7.3 will be an update
---> Package cmake3.x86_64 0:3.14.6-2.el7 will be updated
---> Package cmake3.x86_64 0:3.14.7-1.el7 will be an update
---> Package cmake3-data.noarch 0:3.14.6-2.el7 will be updated
---> Package cmake3-data.noarch 0:3.14.7-1.el7 will be an update
--> Processing Dependency: /usr/bin/python3 for package: cmake3-data-3.14.7-1.el7.noarch
---> Package icu.x86_64 0:50.2-3.el7 will be updated
---> Package icu.x86_64 0:50.2-4.el7_7 will be an update
---> Package kernel.x86_64 0:3.10.0-1062.18.1.el7 will be installed
---> Package kernel-headers.x86_64 0:3.10.0-1062.12.1.el7 will be updated
---> Package kernel-headers.x86_64 0:3.10.0-1062.18.1.el7 will be an update
---> Package kernel-tools.x86_64 0:3.10.0-1062.12.1.el7 will be updated
---> Package kernel-tools.x86_64 0:3.10.0-1062.18.1.el7 will be an update
---> Package kernel-tools-libs.x86_64 0:3.10.0-1062.12.1.el7 will be updated
---> Package kernel-tools-libs.x86_64 0:3.10.0-1062.18.1.el7 will be an update
---> Package kmod.x86_64 0:20-25.el7 will be updated
---> Package kmod.x86_64 0:20-25.el7_7.1 will be an update
---> Package kmod-libs.x86_64 0:20-25.el7 will be updated
---> Package kmod-libs.x86_64 0:20-25.el7_7.1 will be an update
---> Package libicu.x86_64 0:50.2-3.el7 will be updated
---> Package libicu.x86_64 0:50.2-4.el7_7 will be an update
---> Package libicu-devel.x86_64 0:50.2-3.el7 will be updated
---> Package libicu-devel.x86_64 0:50.2-4.el7_7 will be an update
---> Package monit.x86_64 0:5.25.1-1.el7 will be updated
---> Package monit.x86_64 0:5.26.0-1.el7 will be an update
---> Package rsyslog.x86_64 0:8.24.0-41.el7_7.2 will be updated
---> Package rsyslog.x86_64 0:8.24.0-41.el7_7.4 will be an update
---> Package sysstat.x86_64 0:10.1.5-18.el7 will be updated
---> Package sysstat.x86_64 0:10.1.5-18.el7_7.1 will be an update
---> Package systemd.x86_64 0:219-67.el7_7.3 will be updated
---> Package systemd.x86_64 0:219-67.el7_7.4 will be an update
---> Package systemd-libs.x86_64 0:219-67.el7_7.3 will be updated
---> Package systemd-libs.x86_64 0:219-67.el7_7.4 will be an update
---> Package systemd-sysv.x86_64 0:219-67.el7_7.3 will be updated
---> Package systemd-sysv.x86_64 0:219-67.el7_7.4 will be an update
--> Running transaction check
---> Package python3.x86_64 0:3.6.8-10.el7 will be installed
--> Processing Dependency: python3-libs(x86-64) = 3.6.8-10.el7 for package: python3-3.6.8-10.el7.x86_64
--> Processing Dependency: python3-setuptools for package: python3-3.6.8-10.el7.x86_64
--> Processing Dependency: python3-pip for package: python3-3.6.8-10.el7.x86_64
--> Running transaction check
---> Package python3-libs.x86_64 0:3.6.8-10.el7 will be installed
---> Package python3-pip.noarch 0:9.0.3-7.el7_7 will be installed
---> Package python3-setuptools.noarch 0:39.2.0-10.el7 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.10.0-1062.1.2.el7 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                                   Arch                          Version                                       Repository                       Size
=============================================================================================================================================================
Installing:
 kernel                                    x86_64                        3.10.0-1062.18.1.el7                          updates                          50 M
Updating:
 binutils                                  x86_64                        2.27-41.base.el7_7.3                          updates                         5.9 M
 cmake3                                    x86_64                        3.14.7-1.el7                                  epel                            7.7 M
 cmake3-data                               noarch                        3.14.7-1.el7                                  epel                            1.5 M
 icu                                       x86_64                        50.2-4.el7_7                                  updates                         187 k
 kernel-headers                            x86_64                        3.10.0-1062.18.1.el7                          updates                         8.8 M
 kernel-tools                              x86_64                        3.10.0-1062.18.1.el7                          updates                         7.9 M
 kernel-tools-libs                         x86_64                        3.10.0-1062.18.1.el7                          updates                         7.8 M
 kmod                                      x86_64                        20-25.el7_7.1                                 updates                         122 k
 kmod-libs                                 x86_64                        20-25.el7_7.1                                 updates                          51 k
 libicu                                    x86_64                        50.2-4.el7_7                                  updates                         6.9 M
 libicu-devel                              x86_64                        50.2-4.el7_7                                  updates                         703 k
 monit                                     x86_64                        5.26.0-1.el7                                  epel                            321 k
 rsyslog                                   x86_64                        8.24.0-41.el7_7.4                             updates                         618 k
 sysstat                                   x86_64                        10.1.5-18.el7_7.1                             updates                         315 k
 systemd                                   x86_64                        219-67.el7_7.4                                updates                         5.1 M
 systemd-libs                              x86_64                        219-67.el7_7.4                                updates                         411 k
 systemd-sysv                              x86_64                        219-67.el7_7.4                                updates                          89 k
Removing:
 kernel                                    x86_64                        3.10.0-1062.1.2.el7                           @updates                         64 M
Installing for dependencies:
 python3                                   x86_64                        3.6.8-10.el7                                  base                             69 k
 python3-libs                              x86_64                        3.6.8-10.el7                                  base                            7.0 M
 python3-pip                               noarch                        9.0.3-7.el7_7                                 updates                         1.8 M
 python3-setuptools                        noarch                        39.2.0-10.el7                                 base                            629 k

Transaction Summary
=============================================================================================================================================================
Install   1 Package  (+4 Dependent packages)
Upgrade  17 Packages
Remove    1 Package

Total size: 113 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/bin/python3.6 from install of python3-3.6.8-10.el7.x86_64 conflicts with file from package python36u-3.6.8-1.el7.ius.x86_64
  file /usr/bin/python3.6m from install of python3-3.6.8-10.el7.x86_64 conflicts with file from package python36u-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ensurepip/__init__.py from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/asyncio/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/collections/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/concurrent/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/concurrent/futures/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ctypes/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ctypes/macholib/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/curses/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/dbm/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/distutils/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/distutils/command/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/email/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/email/mime/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/encodings/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ensurepip/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/html/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/http/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/importlib/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/json/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/lib2to3/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/lib2to3/fixes/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/lib2to3/pgen2/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/logging/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/multiprocessing/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/multiprocessing/dummy/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/pydoc_data/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/sqlite3/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/test/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/test/support/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/unittest/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/urllib/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/venv/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/wsgiref/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/dom/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/etree/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/parsers/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xml/sax/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/xmlrpc/__pycache__/__init__.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/asyncio/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/collections/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/concurrent/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/concurrent/futures/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ctypes/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/ctypes/macholib/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/curses/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/dbm/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
  file /usr/lib64/python3.6/distutils/__pycache__/__init__.cpython-36.pyc from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
......................
Anyone else have same problem or its just me? I don't like to change nothing without developers or change repos without any consult.

Regards

Offline
*
Re: yum update conflict
« Reply #1 on: March 26, 2020, 09:23:24 AM »
Hi,
  file ... from install of python3-3.6.8-10.el7.x86_64 conflicts with file from package python36u-3.6.8-1.el7.ius.x86_64
...
  file ... from install of python3-libs-3.6.8-10.el7.x86_64 conflicts with file from package python36u-libs-3.6.8-1.el7.ius.x86_64
What I did to solve this was simply:
Code: [Select]
yum remove python36u python36u-libs
yum install python3 python3-libs

The thing is that ius repo was copied to cwp making updates simply in-accessible!
python36u was last updated in roughly 2017s or so afaik i guess as it says in the repo change logs..
« Last Edit: March 26, 2020, 09:25:21 AM by SubZero5 »

Offline
**
Re: yum update conflict
« Reply #2 on: March 26, 2020, 09:25:06 AM »
So you had same error?

Offline
*
Re: yum update conflict
« Reply #3 on: March 26, 2020, 09:27:07 AM »
So you had same error?
Yes, exactly!

Offline
**
Re: yum update conflict
« Reply #4 on: March 26, 2020, 09:37:32 AM »
So you had same error?
Yes, exactly!

Thank you very much :) I was wondering did I do something or its just error which someone else had. Didn't want to test nothing before any info..

thanks one more time :)

Offline
*
Re: yum update conflict
« Reply #5 on: March 26, 2020, 09:40:57 AM »
You may check with:
Code: [Select]
python3 -V

Offline
**
Re: yum update conflict
« Reply #6 on: March 26, 2020, 09:46:40 AM »
all went fine :) remove again install and all other update packages went without any error

Offline
*
Re: yum update conflict
« Reply #7 on: March 29, 2020, 04:30:03 PM »
Followed this thread, and it's working for me.

https://forum.centos-webpanel.com/index.php?topic=8584.0